%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate nu-cmd-lang

Name:           rust-nu-cmd-lang
Version:        0.91.0
Release:    1%{?dist}
Summary:        Nushell's core language commands

License:        MIT
URL:            https://crates.io/crates/nu-cmd-lang
Source0:         %{crates_source}
Patch:          nu-cmd-lang-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Nushell's core language commands.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dataframe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dataframe-devel %{_description}

This package contains library source intended for building other packages which
use the "dataframe" feature of the "%{crate}" crate.

%files       -n %{name}+dataframe-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extra-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extra-devel %{_description}

This package contains library source intended for building other packages which
use the "extra" feature of the "%{crate}" crate.

%files       -n %{name}+extra-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mimalloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mimalloc-devel %{_description}

This package contains library source intended for building other packages which
use the "mimalloc" feature of the "%{crate}" crate.

%files       -n %{name}+mimalloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sqlite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sqlite-devel %{_description}

This package contains library source intended for building other packages which
use the "sqlite" feature of the "%{crate}" crate.

%files       -n %{name}+sqlite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static-link-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-link-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "static-link-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+static-link-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trash-support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trash-support-devel %{_description}

This package contains library source intended for building other packages which
use the "trash-support" feature of the "%{crate}" crate.

%files       -n %{name}+trash-support-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wasi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasi-devel %{_description}

This package contains library source intended for building other packages which
use the "wasi" feature of the "%{crate}" crate.

%files       -n %{name}+wasi-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+which-support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+which-support-devel %{_description}

This package contains library source intended for building other packages which
use the "which-support" feature of the "%{crate}" crate.

%files       -n %{name}+which-support-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.91.0-1
- initial build
